//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.05.02 at 09:46:50 a.m. MDT 
//


package com.teacher.xml.school;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.teacher.xml.school package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.teacher.xml.school
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TeacherDetailsRequest }
     * 
     */
    public TeacherDetailsRequest createTeacherDetailsRequest() {
        return new TeacherDetailsRequest();
    }

    /**
     * Create an instance of {@link TeacherDetailsResponse }
     * 
     */
    public TeacherDetailsResponse createTeacherDetailsResponse() {
        return new TeacherDetailsResponse();
    }

    /**
     * Create an instance of {@link Teacher }
     * 
     */
    public Teacher createTeacher() {
        return new Teacher();
    }

}
